/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   index.css                                          :+:    :+:            */
/*                                                     +:+                    */
/*   By: lde-la-h <main@w2wizard.dev>                 +#+                     */
/*                                                   +#+                      */
/*   Created: 2023/06/11 09:48:29 by lde-la-h      #+#    #+#                 */
/*   Updated: 2023/06/11 13:29:21 by lde-la-h      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

/* Tags */

:root {
	font-synthesis: none;
    text-rendering: optimizeLegibility;
    font-feature-settings: "kern","liga","clig","calt";
    font-kerning: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%;
	font-family: 'Happy Marker', "Comic Sans MS", "Comic Sans", 'Roboto', sans-serif;
}

body {
	height: 100vh;
	width: 100vw;
	background: linear-gradient(45deg, #ff2400, #e81d1d, #e8b71d, #e3e81d, #1de840, #1ddde8, #2b1de8, #dd00f3, #dd00f3);
	background-size: 1800% 1800%;
	animation: rainbow 5s ease infinite;
}

*:not(h1, h2, h3, h4, h5, h6) {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	user-select: none;
}

h1, h2, h3, h4, h5, h6, sub, q {
	text-align: center;
	color: white;
	text-shadow: 0 0 15px black;
}

main {
    position: absolute;
    top:0;
    bottom: 0;
    left: 0;
    right: 0;
    
    margin: auto;

	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.shadow {
	filter: drop-shadow(0 0 10px black);
}

/* IDs */

#freek {
	width: 256px;
	clip-path: circle(35% at 50% 50%);
}

#confetti {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

/* Animations */

@keyframes rainbow { 
  0%{background-position:0% 82%}
  50%{background-position:100% 19%}
  100%{background-position:0% 82%}
}